## geos 3.11.2

=== debian/changelog ===
geos (3.11.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 17 Mar 2023 06:28:41 +0100
