## geos 3.12.0

=== debian/changelog ===
geos (3.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Strip pre-releases from symbols version.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Jun 2023 20:14:27 +0200

geos (3.12.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump debhelper compat to 13.
  * Drop patches, applied upstream.
  * Update copyright file.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 14 Jun 2023 22:09:51 +0200

geos (3.12.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Temporarily ignore test failures on all architectures.
  * Update symbols for amd64.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Jun 2023 18:20:53 +0200
