=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                doxygen,
                pkg-kde-tools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
-Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
 Homepage: https://trac.osgeo.org/geos/
 Rules-Requires-Root: no
 
@@ -31,7 +31,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.11.2 (= ${binary:Version}),
+Depends: libgeos3.12.0 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -70,7 +70,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.11.2
+Package: libgeos3.12.0
 Architecture: any
 Multi-Arch: same
 Section: libs
