=== debian/changelog ===
geos (3.12.1-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:06:39 +0000

geos (3.12.1-3) unstable; urgency=medium

  * Add dpkg-dev (>= 1.22.5) to build dependencies for t64 changes.
    (closes: #1065262)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Mar 2024 12:25:53 +0100

geos (3.12.1-2) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.
    (closes: #1062100)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Feb 2024 15:19:43 +0100

geos (3.12.1-2~exp1) experimental; urgency=medium

  * Improve t64 changes to match team standards.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Feb 2024 13:49:17 +0100

geos (3.12.1-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Lukas Märdian <slyon@debian.org>  Wed, 31 Jan 2024 11:13:23 +0000

geos (3.12.1-1) unstable; urgency=medium

  * Ignore test failures on hurd-i386.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 12 Nov 2023 19:32:14 +0100

geos (3.12.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Enable Salsa CI.
  * Ignore test failure on i386.
    https://github.com/libgeos/geos/issues/947
  * Switch to dh-sequence-*.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 12 Nov 2023 06:45:28 +0100
