=== debian/control ===
--- 
+++ 
@@ -1,10 +1,13 @@
 Source: geos
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dpkg-dev (>= 1.22.5),
                cmake,
                doxygen,
                pkg-kde-tools
@@ -17,7 +20,7 @@
 Package: libgeos-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos-c1v5 (= ${binary:Version}),
+Depends: libgeos-c1t64 (= ${binary:Version}),
          ${misc:Depends}
 Suggests: libgdal-doc
 Description: Geometry engine for GIS - Development files
@@ -31,7 +34,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.12.0 (= ${binary:Version}),
+Depends: libgeos3.12.1t64 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -46,14 +49,16 @@
  programs should use the stable C API instead of the
  unstable C++ one.
 
-Package: libgeos-c1v5
+Package: libgeos-c1t64
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Breaks: libgeos-c1 (<< 3.4.2-8~)
-Replaces: libgeos-c1 (<< 3.4.2-8~)
+Provides: ${t64:Provides}
+Breaks: libgeos-c1v5 (<< ${source:Version})
+Replaces: libgeos-c1v5
+X-Time64-Compat: libgeos-c1v5
 Description: Geometry engine for Geographic Information Systems - C Library
  GEOS provides a spatial object model and fundamental geometric
  functions. It implements the geometry model defined in the
@@ -70,12 +75,15 @@
  .
  This package contains the C library.
 
-Package: libgeos3.12.0
+Package: libgeos3.12.1t64
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
+Provides: ${t64:Provides}
+Breaks: libgeos3.12.1 (<< ${source:Version})
+Replaces: libgeos3.12.1
 Description: Geometry engine for Geographic Information Systems - C++ Library
  GEOS provides a spatial object model and fundamental geometric
  functions. It implements the geometry model defined in the
