## geos 3.12.2

=== debian/changelog ===
geos (3.12.2-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 07 Jun 2024 11:01:40 +0200

geos (3.12.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Jun 2024 05:28:53 +0200
