=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: geos
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
@@ -34,7 +33,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.12.1t64 (= ${binary:Version}),
+Depends: libgeos3.12.2 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -75,15 +74,12 @@
  .
  This package contains the C library.
 
-Package: libgeos3.12.1t64
+Package: libgeos3.12.2
 Architecture: any
 Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Provides: ${t64:Provides}
-Breaks: libgeos3.12.1 (<< ${source:Version})
-Replaces: libgeos3.12.1
 Description: Geometry engine for Geographic Information Systems - C++ Library
  GEOS provides a spatial object model and fundamental geometric
  functions. It implements the geometry model defined in the
