## geos 3.13.0

=== debian/changelog ===
geos (3.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Strip pre-releases from symbols version.
  * Drop doxygen.patch, applied upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Sep 2024 06:43:01 +0200

geos (3.13.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Add patch to fix FTBFS with doxygen 1.20.0.
    (closes: #1080182)
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Sep 2024 05:14:37 +0200

geos (3.13.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump Standards-Version to 4.7.0, no changes.
  * Update copyright file.
  * Rename library package for SONAME bump.
  * Update lintian overrides.
  * Don't include macOS binary in examples.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Aug 2024 21:13:36 +0200
