=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                cmake,
                doxygen,
                pkg-kde-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
 Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
 Homepage: https://trac.osgeo.org/geos/
@@ -33,7 +33,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.12.2 (= ${binary:Version}),
+Depends: libgeos3.13.0 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -74,7 +74,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.12.2
+Package: libgeos3.13.0
 Architecture: any
 Multi-Arch: same
 Section: libs
