## geos 3.13.1

=== util/CMakeLists.txt ===
################################################################################
# Part of CMake configuration for GEOS
#
# Copyright (C) 2020 Martin Davis
#
# This is free software; you can redistribute and/or modify it under
# the terms of the GNU Lesser General Public Licence as published
# by the Free Software Foundation.
# See the COPYING file for more information.
################################################################################

option(BUILD_GEOSOP "Build geosop command-line interface" ON)
message(STATUS "GEOS: Build geosop ${BUILD_GEOSOP}")

if(BUILD_GEOSOP)
  add_subdirectory(geosop)
endif()
