=== debian/changelog ===
geos (3.13.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 06 Mar 2025 07:07:43 +0100

geos (3.13.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 04 Mar 2025 05:42:57 +0100
