=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.13.0 (= ${binary:Version}),
+Depends: libgeos3.13.1 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -74,7 +74,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.13.0
+Package: libgeos3.13.1
 Architecture: any
 Multi-Arch: same
 Section: libs
