=== debian/changelog ===
geos (3.14.0~beta1-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Update copyright file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Jul 2025 05:40:42 +0200
