## geos 3.14.0~beta2

=== debian/changelog ===
geos (3.14.0~beta2-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update copyright file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Aug 2025 05:38:37 +0200
