## geos 3.14.0~beta3

=== debian/changelog ===
geos (3.14.0~beta3-1~exp1) experimental; urgency=medium

  * New upstream beta release.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Aug 2025 05:40:55 +0200
