## geos 3.14.0~rc1

=== debian/changelog ===
geos (3.14.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 20 Aug 2025 05:32:29 +0200
