=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                cmake,
                doxygen,
                pkg-kde-tools
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
-Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git -b experimental
 Homepage: https://trac.osgeo.org/geos/
 Rules-Requires-Root: no
 
@@ -33,7 +33,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos3.13.1 (= ${binary:Version}),
+Depends: libgeos3.14.0 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -74,7 +74,7 @@
  .
  This package contains the C library.
 
-Package: libgeos3.13.1
+Package: libgeos3.14.0
 Architecture: any
 Multi-Arch: same
 Section: libs
