## geos 3.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,9 +9,7 @@
 # See the COPYING file for more information.
 ##############################################################################
 
-# Require CMake 3.13+ with support for meta-features that request compiler
-# modes for specific C/C++ language standard levels, and object libraries.
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.15)
 
 #-----------------------------------------------------------------------------
 # Version
@@ -24,6 +22,7 @@
 set(_version_minor ${CMAKE_MATCH_1})
 string(REGEX MATCH "GEOS_VERSION_PATCH=([0-9]+)" _ ${_version_txt})
 set(_version_patch ${CMAKE_MATCH_1})
+set(GEOS_VERSION_NOPATCH "${_version_major}.${_version_minor}.${_version_patch}")
 # OPTIONS: "", "dev", "rc1" etc.
 string(REGEX MATCH "GEOS_PATCH_WORD=([a-zA-Z0-9]+)" _ ${_version_txt})
 set(_version_patch_word ${CMAKE_MATCH_1})
@@ -56,23 +55,19 @@
 #-----------------------------------------------------------------------------
 # Project
 #-----------------------------------------------------------------------------
-if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.9)
-  list(APPEND _project_info DESCRIPTION "GEOS - C++ port of the Java Topology Suite (JTS)")
-endif()
-if(CMAKE_VERSION VERSION_GREATER_EQUAL 3.12)
-  list(APPEND _project_info HOMEPAGE_URL "https://libgeos.org/")
-endif()
-
-project(GEOS VERSION "${_version_major}.${_version_minor}.${_version_patch}"
+
+project(GEOS
+  VERSION ${GEOS_VERSION_NOPATCH}
   LANGUAGES C CXX
-  ${_project_info})
+  DESCRIPTION "GEOS - C++ port of the Java Topology Suite (JTS)"
+  HOMEPAGE_URL "https://libgeos.org/"
+)
 
 if(NOT "${_version_patch_word}" STREQUAL "")
   # Re-write VERSION variables after project()
   set(GEOS_VERSION "${GEOS_VERSION}${_version_patch_word}")
   set(GEOS_VERSION_PATCH "${_version_patch}${_version_patch_word}")
 endif()
-set(GEOS_VERSION_NOPATCH "${_version_major}.${_version_minor}.${_version_patch}")
 
 unset(_version_major)
 unset(_version_minor)
@@ -97,12 +92,6 @@
 
 # Default to release build so packagers don't release debug builds
 set(DEFAULT_BUILD_TYPE Release)
-
-# Require CMake 3.13+ with VS generator for complete support of VS versions
-# and support by AppVeyor.
-if(${CMAKE_GENERATOR} MATCHES "Visual Studio")
-  cmake_minimum_required(VERSION 3.13 FATAL_ERROR)
-endif()
 
 list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
 
@@ -132,7 +121,7 @@
 
 ## CMake global variables
 option(BUILD_SHARED_LIBS "Build GEOS with shared libraries" ON)
-set(CMAKE_CXX_STANDARD 14 CACHE STRING "C++ standard version to use (default is 14)")
+set(CMAKE_CXX_STANDARD 17 CACHE STRING "C++ standard version to use (minimum requirement is c++17)")
 
 ## GEOS custom variables
 option(BUILD_BENCHMARKS "Build GEOS benchmarks" OFF)
@@ -172,21 +161,21 @@
 #   -D CMAKE_CXX_COMPILER=/opt/local/bin/clang-mp-15++ \
 #   -D CMAKE_BUILD_TYPE=ASAN
 #
-# To suppress reporting on leaks in MacOS itself (yes, really), 
-# add a suppression file to your build directory. 
+# To suppress reporting on leaks in MacOS itself (yes, really),
+# add a suppression file to your build directory.
 #
 #  echo leak:realizeClassWithoutSwift >> lsan.supp
 #
 # Now run the program with env vars set to turn on leak checking and suppression.
-# 
+#
 #  MallocNanoZone=0 \
 #  ASAN_OPTIONS=detect_leaks=1 \
 #  LSAN_OPTIONS=suppressions=lsan.supp \
 #  ./bin/test_geos_unit
 #
 
-set(CMAKE_C_FLAGS_ASAN "${CMAKE_C_FLAGS_DEBUG} -fsanitize=address -fno-omit-frame-pointer -fno-common")
-set(CMAKE_CXX_FLAGS_ASAN "${CMAKE_CXX_FLAGS_DEBUG} -fsanitize=address -fno-omit-frame-pointer -fno-common")
+set(CMAKE_C_FLAGS_ASAN "${CMAKE_C_FLAGS_DEBUG} -g -O0 -fsanitize=address -fno-omit-frame-pointer -fno-common")
+set(CMAKE_CXX_FLAGS_ASAN "${CMAKE_CXX_FLAGS_DEBUG}  -g -O0 -fsanitize=address -fno-omit-frame-pointer -fno-common")
 set(CMAKE_EXE_LINKER_FLAGS_ASAN "${CMAKE_EXE_LINKER_FLAGS_DEBUG} -fsanitize=address")
 set(CMAKE_SHARED_LINKER_FLAGS_ASAN "${CMAKE_SHARED_LINKER_FLAGS_DEBUG} -fsanitize=address")
 
@@ -214,7 +203,7 @@
 # Target geos_cxx_flags: common compilation flags
 #-----------------------------------------------------------------------------
 add_library(geos_cxx_flags INTERFACE)
-target_compile_features(geos_cxx_flags INTERFACE cxx_std_11)
+target_compile_features(geos_cxx_flags INTERFACE cxx_std_17)
 
 #-----------------------------------------------------------------------------
 # Add flags to prevent 'fused multiply-add' operations on targets (ARM64)
@@ -266,6 +255,38 @@
   INTERFACE
     USE_UNSTABLE_GEOS_CPP_API)
 
+# Deal with Intel Compiler
+if (CMAKE_CXX_COMPILER_ID STREQUAL "IntelLLVM")
+  include(CheckCXXCompilerFlag)
+  check_cxx_compiler_flag(-fno-fast-math HAVE_FLAG_NO_FAST_MATH)
+  if (HAVE_FLAG_NO_FAST_MATH)
+    # Intel CXX compiler, based on clang, defaults to -ffast-math, which breaks a lot of things
+    target_compile_options(geos_cxx_flags INTERFACE "-fno-fast-math")
+  endif ()
+
+  set(TEST_LINK_STDCPP_SOURCE_CODE
+      "#include <string>
+    int main(){
+      std::string s;
+      s += \"x\";
+      return 0;
+    }")
+  check_cxx_source_compiles("${TEST_LINK_STDCPP_SOURCE_CODE}" _TEST_LINK_STDCPP)
+  if( NOT _TEST_LINK_STDCPP )
+      message(WARNING "Cannot link code using standard C++ library. Automatically adding -lstdc++ to CMAKE_EXE_LINKER_FLAGS, CMAKE_SHARED_LINKER_FLAGS and CMAKE_MODULE_LINKER_FLAGS")
+      set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lstdc++")
+      set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -lstdc++")
+      set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -lstdc++")
+
+      include(CheckCXXSourceCompiles)
+      check_cxx_source_compiles("${TEST_LINK_STDCPP_SOURCE_CODE}" _TEST_LINK_STDCPP_AGAIN)
+      if( NOT _TEST_LINK_STDCPP_AGAIN )
+          message(FATAL_ERROR "Cannot link C++ program")
+      endif()
+  endif()
+endif ()
+
+
 target_compile_definitions(geos_developer_cxx_flags
   INTERFACE
     $<$<BOOL:${MSVC}>:_CRT_NONSTDC_NO_DEPRECATE>
@@ -275,15 +296,4 @@
 
 target_compile_options(geos_developer_cxx_flags
   INTERFACE
-    $<$<CXX_COMPILER_ID:MSVC>:-W4>
-    $<$<OR:$<CXX_COMPILER_ID:GNU>,$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>>:-Werror -pedantic -Wall -Wextra -Wno-long-long -Wcast-align -Wconversion -Wsign-conversion -Wchar-subscripts -Wdouble-promotion -Wpointer-arith -Wformat -Wformat-security -Wshadow -Wuninitialized -Wunused-parameter -fno-common>
-    $<$<CXX_COMPILER_ID:GNU>:-fno-implicit-inline-templates -Wno-psabi>
-    $<$<OR:$<CXX_COMPILER_ID:Clang>,$<CXX_COMPILER_ID:AppleClang>>:-Wno-unknown-warning-option>
-    )
-
-#-----------------------------------------------------------------------------
-# Define a coverage build
-#-----------------------------------------------------------------------------
-set(CMAKE_CXX_FLAGS_COVERAGE "-fprofile-arcs -ftest-coverage")
-
-#-----------------------------------------------------------------------------
+    $<$<CXX_COMPILER_ID:MSVC>:-W4>  # consider -analyze
