=== debian/changelog ===
geos (3.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 Aug 2025 19:08:53 +0200
