=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                pkg-kde-tools
 Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/geos
-Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git -b experimental
+Vcs-Git: https://salsa.debian.org/debian-gis-team/geos.git
 Homepage: https://trac.osgeo.org/geos/
 Rules-Requires-Root: no
